Name:           python2-pyx
Version:        0.12.1
Release:        9%{?dist}
Summary:        Legacy Python graphics package for python2

License:        GPLv2+
URL:            http://pyx.sourceforge.net/
Source0:        https://pypi.python.org/packages/source/P/PyX/pyx-%{version}.tar.gz
Source1:        http://pyx.sourceforge.net/manual.pdf
Source2:        http://pyx.sourceforge.net/pyxfaq.pdf

BuildRequires:  python2-devel
BuildRequires:  kpathsea-devel
BuildRequires:  tex(latex)

Requires:       tex(latex)

%{?python_provide:%python_provide python2-pyx}


%description
WARNING: This is compat python2 package and should be used only for legacy
stuff (like scapy). For new code please use new python3 package.
PyX is a Python package for the creation of PostScript and PDF files. It
combines an abstraction of the PostScript drawing model with a TeX/LaTeX
interface. Complex tasks like 2d and 3d plots in publication-ready quality are
built out of these primitives.

This package contains the last version which is compatible with Python 2.
It expects its configuration in py2pyxrc instead of pyxrc and can be installed
in parallel with the PyX package for Python 3.



%package        doc
Summary:        Documentation for %{name}

BuildArch:      noarch

%description    doc
This package contains documentation for %{name}.



%prep
%setup -q -n PyX-%{version}
find ./ -name '*.py' -exec sed -i '1s|^#!/usr/bin/env python|#!%{__python2}|' '{}' ';'



%build
sed -i 's|^build_t1code=.*|build_t1code=1|' setup.cfg
sed -i 's|^build_pykpathsea=.*|build_pykpathsea=1|' setup.cfg
sed -i 's|pyxrc|py2pyxrc|' setup.py
sed -i 's|pyxrc|py2pyxrc|' pyx/config.py
sed -i 's|pyxrc|py2pyxrc|' pyx/data/pyxrc
mv pyx/data/pyxrc pyx/data/py2pyxrc

%{py2_build}

# turn on ipc in config file
sed -i 's|^texipc =.*|texipc = 1|' pyx/data/py2pyxrc

# disable for now
# pushd faq
# make
# popd

pushd manual
#ln -s <doc_tools_dir>/mkhowto .
#make
cp %{SOURCE1} ./manual.pdf
cp %{SOURCE2} ./pyxfaq.pdf
popd



%install
%{py2_install}

mkdir %{buildroot}%{_sysconfdir}
cp -a pyx/data/py2pyxrc %{buildroot}%{_sysconfdir}/py2pyxrc

# Fix the non-exec with shellbang rpmlint errors
for file in `find %{buildroot}%{python2_sitearch}/pyx -type f -name "*.py"`; do
  [ ! -x ${file} ] && sed -i 's|^#!|##|' ${file}
done



%files
%license LICENSE
%doc AUTHORS README
%config(noreplace) %{_sysconfdir}/py2pyxrc
%{python2_sitearch}/PyX*egg-info
%{python2_sitearch}/pyx/



%files doc
%license LICENSE
%doc AUTHORS README manual
%doc contrib/ examples/



%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Nov 23 2016 Michal Ambroz <rebus _AT seznam.cz> - 0.12.1-6
- fix buildrequires python2-devel
- separate subpackage for documentation
- using python_provide macro

* Tue Nov 22 2016 Michal Ambroz <rebus _AT seznam.cz> - 0.12.1-5
- cleanup

* Mon Nov 21 2016 Michal Ambroz <rebus _AT seznam.cz> - 0.12.1-4
- add warning to description that this is compat package only
- remove the unnecessary macros
- use py2_build and py2_install

* Sat Oct 22 2016 Michal Ambroz <rebus _AT seznam.cz> - 0.12.1-3
- rename tp python2-pyx, rename spec accordingly, rebuid for fc24

* Wed Dec 23 2015 Michael J Gruber <mjg@fedoraproject.org> - 0.12.1-2
- compatibility package python2-PyX

* Tue Feb 17 2015 José Matos <jamatos@fedoraproject.org> - 0.12.1-1
- update to 0.12.1
- add the PyX FAQ to the documentation
- Provides python2-pyx since this is the latest version to support python2

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Oct 07 2012 Jindrich Novy <jnovy@redhat.com> 0.11.1-4
- rebuild against new kpathsea in TeX Live 2012

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 20 2011 José Matos <jamatos@fedoraproject.org> - 0.11.1-1
- New upstream release
- Clean spec file

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.10-9
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jul 30 2009 José Matos <jamatos@fc.up.pt> - 0.10-8
- Disable faq pdf generation for now (it breaks the build)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.10-5
- Rebuild for Python 2.6

* Thu Feb 14 2008 José Matos <jamatos[AT]fc.up.pt> - 0.10-4
- Rebuild for gcc 4.3

* Sat Jan 12 2008 José Matos <jamatos[AT]fc.up.pt> - 0.10-3
- egg-info is in sitearch...

* Fri Jan 11 2008 José Matos <jamatos[AT]fc.up.pt> - 0.10-2
- Add egg-info to F9+.

* Fri Jan 11 2008 José Matos <jamatos[AT]fc.up.pt> - 0.10-1
- New upstream release (#426816).
- Package cleanup.

* Tue Aug 28 2007 José Matos <jamatos[AT]fc.up.pt> - 0.9-5
- License fix, rebuild for devel (F8).

* Mon Dec 11 2006 José Matos <jamatos[AT]fc.up.pt> - 0.9-4
- Rebuild for python 2.5.

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.9-3
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Wed Sep 20 2006 José Matos <jamatos[AT]fc.up.pt> - 0.9-2
- Rebuild for FC-6.
- Unghost .pyo files.

* Sat Jun 03 2006 Michael A. Peters <mpeters@mac.com> - 0.9-1
- New upstream release (closes bug #193956)

* Sun Apr 30 2006 Michael A. Peters <mpeters@mac.com> - 0.8.1-4
- Fixed rpmlint errors noted in 190247#3
- Don't build pykpathsea C module for x86_64 (Bug #150085)

* Sat Apr 29 2006 Michael A. Peters <mpeters@mac.com> - 0.8.1-3
- Fixed a typo in the borrowed SuSE patch

* Sat Apr 29 2006 Michael A. Peters <mpeters@mac.com> - 0.8.1-2
- Fix improper siteconfig.py (Patch0, borrowed from SuSE)
- alter default config file (turn texipc on)
- BuildRequires python-devel >= 2.2

* Sat Apr 29 2006 Michael A. Peters <mpeters@mac.com> - 0.8.1-1
- Initial packaging for Fedora Extras
